Page MenuHomePhabricator

import_waterlines is broken
Closed, ResolvedPublic

Description

When investigating an unrelated issue today, it was discovered that import_waterlines doesn't work due to a permission issue. Also, it's probably worth to stop ignoring problems with this cronjob as it runs only monthly so there is little potential for spam yet a serious chance that a problem will go unnoticed.

Event Timeline

MaxSem created this task.Mar 6 2017, 11:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2017, 11:23 PM

From https://phabricator.wikimedia.org/T159631#3078163, this job should

  • Produce logging to see what happened in the past
  • Report errors
  • Have monitoring on the results to see that it has had an effect. In this case, the monitoring should be on the difference in age between the openstreetmapdata.com coastlines and what we have loaded.

The third should probably wait on T153282: [epic] Migrate to a new vector tile structure because we are currently not tracking the age of the static data in the database but the loading script I wrote does that for other purposes.

debt triaged this task as Medium priority.Jun 14 2017, 9:21 PM
debt added a project: Maps.
debt added a subscriber: debt.

We should probably take a look at this again to see if it needs to be done once T153282 is done. Leaving in backlog for now.

Restricted Application added a project: Discovery. · View Herald TranscriptJun 14 2017, 9:21 PM
Gehel moved this task from Backlog to Done on the Maps-Sprint board.Jun 15 2017, 2:51 PM

This has actually been fixed as part of T159631. I just checked, import_waterlines completed successfully on June 1st.

debt closed this task as Resolved.Jun 15 2017, 3:32 PM

Yay, closing!